Subject: Re: [PATCH 1/5] check-ref-format doc: de-emphasize the implementation detail of a ref

From: Eric Sunshine <[email-masked]>
Date: Thu, 23 Jun 2011 18:14:34 -0400

On 6/23/2011 12:52 PM, Junio C Hamano wrote:
>   A reference is used in git to specify branches and tags.  A
> -branch head is stored under the `$GIT_DIR/refs/heads` directory, and
> -a tag is stored under the `$GIT_DIR/refs/tags` directory (or, if refs
> -are packed by `git gc`, as entries in the `$GIT_DIR/packed-refs` file).
> +branch head is stored in the `refs/heads` hierarchy while

s/hierarchy while/hierarchy, while/

> +a tag is stored in the `refs/tags` hierarchy of the ref namespace
> +(which are found in `$GIT_DIR/refs/heads` and `$GIT_DIR/refs/tags`
> +directories or, if refs are packed by `git gc`, as entries in
> +the `$GIT_DIR/packed-refs` file).

Grammatical complexity of parenthetical comment makes it a bit difficult 
to read. Perhaps simplify as:

   (typically in `$GIT_DIR/refs/heads` and `$GIT_DIR/refs/tags`
   directories, or as entries in file `$GIT_DIR/packed-refs`
   if refs are packed by `git gc`).

-- ES